=== debian/changelog ===
ros-iron-nav2-map-server (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brian Wilcox <brian.wilcox@intel.com>  Mon, 11 Sep 2023 03:38:19 -0000
