=== debian/control ===
Source: ros-iron-nav2-map-server
Section: misc
Priority: optional
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), graphicsmagick-libmagick-dev-compat, libgraphicsmagick++1-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-launch <!nocheck>, ros-iron-launch-ros, ros-iron-launch-testing, ros-iron-launch-testing <!nocheck>, ros-iron-nav-msgs, ros-iron-nav2-common, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-tf2, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-nav2-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphicsmagick-libmagick-dev-compat, libgraphicsmagick++1-dev, ros-iron-launch-ros, ros-iron-launch-testing, ros-iron-nav-msgs, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-tf2, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: Refactored map server for ROS2 Navigation
